Name:          gnujaxp
Version:       1.0
Release:       %mkrel 0.b1.1
Summary:       Java XML parser
Group:         Development/Java
License:       GPL
Url:           http://www.gnu.org/software/classpathx/jaxp/
Source0:       ftp://ftp.gnu.org/pub/gnu/classpathx/gnujaxp-1.0beta1.zip
Patch0:        gnujaxp-1.0beta1-enum-XmlParser.patch
BuildRequires: jdom
BuildRequires: java-1.5.0-gcj-devel
BuildRequires: java-1.5.0-gcj-javadoc
BuildRequires: jpackage-utils
BuildRequires: make
BuildRequires: sax2
BuildRequires: xml-commons-apis
Requires:      jpackage-utils
Requires:      xml-commons-apis
BuildArch:     noarch

%description
GNU JAXP is a free implementation of the standard XML processing
APIs for Java:
- SAX Parser API
- DOM Level 2 generic XML data structures
- Sun's JAXP v1.1 interfaces

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jpackage-utils

%description javadoc
GNU JAXP - Java XML parser.

This package contains javadoc for %{name}.

%prep
%setup -q -n gnujaxp-%{version}beta1
%patch0 -p1
for j in $(find . -name "*.jar"); do
  rm -rf $j
done
rm -rf apidoc

%build
export JAVA_HOME=%{_jvmdir}/java-1.5.0
sed -i "s|javadoc -d apidoc|%{_jvmdir}/java-1.5.0/bin/javadoc -d apidoc|" Makefile.in
sed -i "s|javac -sourcepath|%{_jvmdir}/java-1.5.0/bin/javac -sourcepath|" Makefile.in
sed -i "s|jar cmf|%{_jvmdir}/java-1.5.0/bin/jar cmf|" Makefile.in
sed -i "s|jar cMf|%{_jvmdir}/java-1.5.0/bin/jar cMf|" Makefile.in
sed -i "s|jar xf|%{_jvmdir}/java-1.5.0/bin/jar xf|" Makefile.in
%configure2_5x
export CLASSPATH=$(build-classpath jdom sax2 xml-commons-apis)
export JAVADOCFLAGS="-link %{_javadocdir}/java-1.5.0-gcj"
make all
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 gnujaxp.jar \
  %{buildroot}%{_javadir}/gnujaxp-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/gnujaxp-%{version}
cp -pr apidoc/* %{buildroot}%{_javadocdir}/gnujaxp-%{version}
ln -sf gnujaxp-%{version} %{buildroot}%{_javadocdir}/gnujaxp

%files
%{_javadir}/gnujaxp-%{version}.jar
%{_javadir}/gnujaxp.jar
%doc COPYING COPYRIGHT.html LICENSE README

%files javadoc
%{_javadocdir}/gnujaxp-%{version}
%{_javadocdir}/gnujaxp



%changelog

* Sat Aug 27 2011 dmorgan <dmorgan> 1.0-0.b1.1.mga2
+ Revision: 135645
- Remove useless macros

  + gil <gil>
    - imported package gnujaxp


* Fri Jul 08 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm
